Growth
List reviews
Paginated review browser. Every filter is applied identically to the rows and to the total, so the page count always matches what is listed.
Authorization
HTTPBearer AuthorizationBearer <token>
JWT access token
In: header
Query Parameters
page?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= value <= 100Default
25topic?string|null
sentiment?string|null
daypart?string|null
rating?|
Range
1 <= value <= 5q?|
Length
length <= 200merchant_id?|
Optional merchant to act on. Must be one you are a member of.
Format
uuidHeader Parameters
X-Merchant-ID?string|null
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/reviews"{ "data": { "items": [ { "author_name": "string", "body": "string", "daypart": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_simulated": true, "is_verified_purchase": true, "primary_topic": "string", "product_id": "0d012afa-f885-4e65-aeca-37e27701e2d1", "rating": 0, "review_date": "2019-08-24", "reviewed_at": "2019-08-24T14:15:22Z", "sentiment": "string", "sentiment_score": 0, "source": "string", "title": "string", "topics": [ "string" ] } ], "pagination": { "has_next": false, "has_previous": false, "page": 1, "page_size": 25, "total": 0, "total_pages": 0 } }, "meta": {}, "success": true}